# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sidekiq_repeating_jobs/version'

Gem::Specification.new do |spec|
  spec.name          = "sidekiq-repeating-jobs"
  spec.version       = SidekiqRepeatingJobs::VERSION
  spec.authors       = ["Marc Lennox"]
  spec.email         = ["marc.lennox@gmail.com"]
  spec.description   = %q{Sidekiq plugin that provides for singleton jobs that reschedule themselves after completion}
  spec.summary       = %q{Sidekiq plugin that provides for singleton jobs that reschedule themselves after completion}
  spec.homepage      = "http://github.com/marclennox/sidekiq-repeating-jobs"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency             "sidekiq", "~> 2.15"
  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
